#ifndef STATE_H
#define STATE_H

/*
 * If this is changed, the state.c:state_key_table must be changed also.
 */
typedef struct eval_state_s
{
	u32_t	   custom_width, custom_height; /* valid if > 0 */
	u32_t	   custom_size; /* valid if > 0 */
	vboolean	input_powers2;
	vboolean	input_square;
	vboolean	frequency_domain; /* affects transforms */
	vec_t	   pad_value; /* for expand / expand_powers2 */
} eval_state_t, *eval_state_p;

void stateDefault(eval_state_p state);
vboolean stateChange(eval_state_p state,vhandle_t script);
void stateHelp(void);

#endif  /* !STATE_H */
